import { HTMLAttributes } from 'react';
import { ComponentID } from '@teambit/component';
export declare type CodeViewProps = {
    componentId: ComponentID;
    currentFile?: string;
    currentFileContent?: string;
    icon?: string;
    loading?: boolean;
    codeSnippetClassName?: string;
} & HTMLAttributes<HTMLDivElement>;
export declare function CodeView({ className, componentId, currentFile, icon, currentFileContent, codeSnippetClassName, loading: loadingFromProps, }: CodeViewProps): JSX.Element;
